/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  sgxlat.exe
 FILE:	     fileio.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 03/31/94    KMK      initial implementation

 DESCRIPTION:

 This module contains the FileInputOutput class.

-----------------------------------------------------------------------------*/


#ifndef __xlatio_h
#define __xlatio_h


#ifndef __xlatinfo_h
#include "xlatinfo.h"
#endif


#define SIGNATURE_XLAT	  "@~!__XLAT__!~@"
#define SIGNATURE_RESULT  "@~!_RESULT_!~@"
#define SIGNATURE_TOP	  "@~!_TOPTAG_!~@"
#define SIGNATURE_MESH	  "@~!__MESH__!~@"

#define FILE_SOURCE	  0
#define FILE_XLAT	  1
#define FILE_RESULT	  2
#define FILE_HEADER	  3
#define FILE_CODE	  4
#define FILE_PERM	  5
#define FILE_TOP	  6

#define EXT_SOURCE	  ".sg"
#define EXT_XLAT	  ".xlt"
#define EXT_RESULT	  ".res"
#define EXT_PERM	  ".prm"
#define EXT_TOP		  ".top"
#define EXT_HEADER	  ".h"
#if defined(AIX)
#define EXT_CODE	  ".C"
#else
#define EXT_CODE	  ".cpp"
#endif

#define FILEIO_SUCCESS	  0
#define FILEIO_BADFILE	 -1


// FileInputOutput class definition
class FileInputOutput
{ protected:
    int nFile;

  public:
    void FormFileName (char *, UINT, BOOL = FALSE);
    int nWriteCode (char *, UINT, void *);
    int nWriteTopFile (char *);

  public:
    FileInputOutput ();
};


#endif



