/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  sgxlat.exe
 FILE:	     grammar.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 02/14/94    KMK      initial implementation
 10/20/94    KMK      modified for use in command line version

 DESCRIPTION:

 This module contains the SGFramework grammar table and the error tables.

-----------------------------------------------------------------------------*/


#ifndef __grammar_h
#define __grammar_h


typedef struct tagFSM			// fsm
{ UINT input;				// input token
  UINT next;				// next state
  UINT action;				// state or token stack action
  UINT user;				// user action
} FSM;

typedef struct tagSEE			// see
{ UINT	state;				// current state
  char *psz;				// expected token(s)
} SEE;

extern FSM  afsmTable[];
extern UINT ifsmTable[];
extern SEE  aseeTable[];


#endif
