/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  sgxlat.exe
 FILE:	     dlg_num.cpp
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 07/28/94    KMK      initial implementation
 10/20/94    KMK      modified for use in command line version

 DESCRIPTION:

 This module contains the numerical algorithm transfer buffer class.

-----------------------------------------------------------------------------*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "global.h"

#ifndef UNIX
#pragma hdrstop
#endif

#include "numalg.h"


// global declaration
NumAlgXferBuf *pNumAlgXferBuf = NULL;


///////////////////////////////////////////////////////////////////////////////
/////////////////  NUMERICAL ALGORITHM TRANSFER BUFFER CLASS  /////////////////
///////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////
// Function:	 NumAlgXferBuf::NumAlgXferBuf
// Scope:	 Public, Constructor
NumAlgXferBuf::NumAlgXferBuf ()
{
#if defined(DEBUG)
  FILE *fileDEBUG = fopen("debug.out", "at");
  fputs("numalg.cpp NumAlgXferBuf::NumAlgXferBuf\n", fileDEBUG);
  fclose(fileDEBUG);
#endif

  xb.nEIiter = DEF_04_EI_ITER;
  xb.rERaccu = DEF_04_ER_ACCU;
  xb.nEIdamp = DEF_04_EI_DAMP;
  xb.uILsolu = DEF_04_IL_SOLU;
  xb.uILsort = DEF_04_IL_SORT;
  xb.uILfill = DEF_04_IL_FILL;
  xb.uILprec = DEF_04_IL_PREC;
  xb.nEIlite = DEF_04_EI_LITE;
  xb.rERlacc = DEF_04_ER_LACC;
  xb.rERover = DEF_04_ER_OVER;
  xb.uCBzero = DEF_04_CB_ZERO;
  xb.rERdist = DEF_04_ER_DIST;
}



