#include <stdio.h>
#include <fcntl.h>
#include <string.h>

#if defined(UNIX)
#include <unistd.h>
#include <sys/stat.h>
#define	 O_BINARY 0x0000
#else
#include <io.h>
#include <sys\stat.h>
#endif


typedef unsigned int UINT;
typedef int	     I3ARRAY[3];

#define SIGNATURE_PERM	  "@~!__PERM__!~@"


typedef struct tagPERMHEAD
{ char szLogo[64];			// text logo
  char szSign[16];			// signature
  char szPerm[64];			// ordering algorithm
  UINT cTag;				// number of unknown elements
} PERMHEAD;


int main(int cArg, char *apszArg[])
{
  fprintf(stderr, "SGFramework SMMS - Perm.	Version 1.0  Copyright (c) 1995 Kevin M. Kramer\n");
  if (cArg != 3)
  { fprintf(stderr, "usage:  smms2perm smms_perm_file perm_file\n");
    return 1;
  }

  int nFile = open(apszArg[2], O_CREAT | O_TRUNC | O_BINARY | O_WRONLY, S_IWRITE | S_IREAD);
  if (nFile == -1)
  { fprintf(stderr, "cannot create file \"%s\"\n", apszArg[2]);
    return 2;
  }

  FILE *file = fopen(apszArg[1], "rt");
  if (file == NULL)
  { fprintf(stderr, "cannot open file \"%s\"\n", apszArg[1]);
    return 2;
  }

  PERMHEAD head;
  strcpy(head.szLogo, "SGFramework Permutation File  Version 1.0\n\x1a");
  strcpy(head.szSign, SIGNATURE_PERM);
  strcpy(head.szPerm, "SMMS or external ordering algorithm");
  UINT c;
  fscanf(file, "%u\n", &c);
  head.cTag = c;
  write(nFile, &head, sizeof(PERMHEAD));

  UINT i;
  UINT *aiPerm = new UINT[c];
  for(i = 0; i < c; ++i)
  { UINT u;
    fscanf(file, "%u", &u);
    aiPerm[i] = u - 1;
  }
  write(nFile, aiPerm, c * sizeof(UINT));

  close(nFile);
  fclose(file);
  return 0;
}
