/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  sgxlat.exe
 FILE:	     states.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 02/18/94    KMK      initial implementation
 04/13/94    KMK      conversion to SGL syntax
 10/20/94    KMK      modified for use in command line version

 DESCRIPTION:

 This module contains the state type definitions.

-----------------------------------------------------------------------------*/

#ifndef __states_h
#define __states_h


#define ST_EXPR	      0x0000
#define ST_EXPR1      0x0001
#define ST_EXPR2      0x0002
#define ST_LEXPR      0x0003
#define ST_LEXPR1     0x0004
#define ST_LEXPR2     0x0005
#define ST_AEXPR      0x0006
#define ST_AEXPR1     0x0007
#define ST_AEXPR2     0x0008
#define ST_MEXPR      0x0009
#define ST_MEXPR1     0x000a
#define ST_MEXPR2     0x000b
#define ST_UEXPR      0x000c
#define ST_UEXPR1     0x000d
#define ST_UEXPR1A    0x000e
#define ST_UEXPR1B    0x000f
#define ST_UEXPR1C    0x0010
#define ST_UEXPR1D    0x0011
#define ST_UEXPR1E    0x0012
#define ST_UEXPR2     0x0013
#define ST_UEXPR3     0x0014
#define ST_UEXPR3A    0x0015
#define ST_UEXPR4     0x0016
#define ST_UEXPR4A    0x0017
#define ST_UEXPR5     0x0018
#define ST_UEXPR5A    0x0019
#define ST_UEXPR6     0x001a
#define ST_UEXPR6A    0x001b
#define ST_UEXPR6B    0x001c
#define ST_UEXPR7     0x001d
#define ST_UEXPR7A    0x001e
#define ST_UEXPR7B    0x001f
#define ST_UEXPR7C    0x0020
#define ST_UEXPR7D    0x0021
#define ST_UEXPR8     0x0022
#define ST_UEXPR8A    0x0023
#define ST_UEXPR8B    0x0024
#define ST_UEXPR8C    0x0025
#define ST_UEXPR8D    0x0026
#define ST_UEXPR8E    0x0027
#define ST_UEXPR8F    0x0028
#define ST_UEXPR9     0x0029
#define ST_UEXPR9A    0x002a
#define ST_UEXPR9B    0x002b
#define ST_UEXPR9C    0x002c
#define ST_UEXPR9D    0x002d
#define ST_UEXPR9E    0x002e
#define ST_UEXPR9F    0x002f
#define ST_UEXPR9G    0x0030
#define ST_UEXPR10    0x0031
#define ST_UEXPR10A   0x0032
#define ST_UEXPR10B   0x0033
#define ST_UEXPR10C   0x0034
#define ST_UEXPR10D   0x0035
#define ST_UEXPR10E   0x0036
#define ST_UEXPR10F   0x0037
#define ST_UEXPR10G   0x0038
#define ST_UEXPR10H   0x0039
#define ST_UEXPR11    0x003a
#define ST_UEXPR11A   0x003b
#define ST_UEXPR11B   0x003c
#define ST_UEXPR11C   0x003d
#define ST_UEXPR11D   0x003e
#define ST_UEXPR11E   0x003f
#define ST_UEXPR11F   0x0040
#define ST_UEXPR12    0x0041
#define ST_UEXPR12A   0x0042
#define ST_UEXPR12B   0x0043
#define ST_UEXPR12C   0x0044
#define ST_EXPRS      0x0045
#define ST_EXPRS1     0x0046
#define ST_EXPRS2     0x0047
#define ST_EXPRS3     0x0048
#define ST_VDECS      0x0049
#define ST_VDECS1     0x004a
#define ST_VDECS2     0x004b
#define ST_VDECS3     0x004c
#define ST_VDECS4     0x004d
#define ST_VDECS5     0x004e
#define ST_CDECS      0x004f
#define ST_CDECS1     0x0050
#define ST_CDECS2     0x0051
#define ST_CDECS3     0x0052
#define ST_CDECS4     0x0053
#define ST_INDEX      0x0054
#define ST_INDEX1     0x0055
#define ST_INDEX2     0x0056
#define ST_INDEX2A    0x0057
#define ST_INDEX2B    0x0058
#define ST_INDEX3     0x0059
#define ST_INDEX4     0x005a
#define ST_INDEX5     0x005b
#define ST_INDEX6     0x005c
#define ST_INDEX7     0x005d
#define ST_INDICES    0x005e
#define ST_INDICES1   0x005f
#define ST_INDICES2   0x0060
#define ST_INDICES3   0x0061
#define ST_RANGE      0x0062
#define ST_RANGES     0x0063
#define ST_RANGES1    0x0064
#define ST_RANGES2    0x0065
#define ST_RANGES3    0x0066
#define ST_KNOWN      0x0067
#define ST_KNOWN1     0x0068
#define ST_KNOWN2     0x0069
#define ST_KNOWN3     0x006a
#define ST_KNOWN4     0x006b
#define ST_UNKNO      0x006c
#define ST_UNKNO1     0x006d
#define ST_UNKNO2     0x006e
#define ST_UNKNO3     0x006f
#define ST_UNKNO4     0x0070
#define ST_EQU	      0x0071
#define ST_EQU1	      0x0072
#define ST_EQU2	      0x0073
#define ST_EQU3	      0x0074
#define ST_EQU4	      0x0075
#define ST_EQU5	      0x0076
#define ST_EQU6	      0x0077
#define ST_EQU7	      0x0078
#define ST_EQU8	      0x0079
#define ST_EQU9	      0x007a
#define ST_EQU10      0x007b
#define ST_EQU11      0x007c
#define ST_FARG	      0x007d
#define ST_FARG1      0x007e
#define ST_FARG2      0x007f
#define ST_FARGS      0x0080
#define ST_FARGS1     0x0081
#define ST_FARGS2     0x0082
#define ST_FUNC	      0x0083
#define ST_FUNC1      0x0084
#define ST_FUNC2      0x0085
#define ST_FUNC3      0x0086
#define ST_FBODY      0x0087
#define ST_FBODY1     0x0088
#define ST_FBODY1A    0x0089
#define ST_FBODY1B    0x008a
#define ST_FBODY1C    0x008b
#define ST_FBODY2     0x008c
#define ST_FBODY2A    0x008d
#define ST_FBODY2B    0x008e
#define ST_FBODY2C    0x008f
#define ST_FBODY3     0x0090
#define ST_FBODY3A    0x0091
#define ST_EXT	      0x0092
#define ST_EXT1	      0x0093
#define ST_EXT2	      0x0094
#define ST_EXT3	      0x0095
#define ST_EXT4	      0x0096
#define ST_MSTAT      0x0097
#define ST_MSTAT1     0x0098
#define ST_MSTAT2     0x0099
#define ST_MSTAT2A    0x009a
#define ST_MSTAT2B    0x009b
#define ST_MSTAT2C    0x009c
#define ST_MSTAT2D    0x009d
#define ST_MSTAT2E    0x009e
#define ST_MSTAT2F    0x009f
#define ST_MSTAT2G    0x00a0
#define ST_MSTAT3     0x00a1
#define ST_MSTAT4     0x00a2
#define ST_MSTAT4A    0x00a3
#define ST_MSTAT4B    0x00a4
#define ST_MSTAT4C    0x00a5
#define ST_MSTAT5     0x00a6
#define ST_MSTAT5A    0x00a7
#define ST_MSTAT5B    0x00a8
#define ST_MSTAT5C    0x00a9
#define ST_MSTAT5D    0x00aa
#define ST_MSTAT5E    0x00ab
#define ST_MSTAT6     0x00ac
#define ST_MSTAT6A    0x00ad
#define ST_MSTAT6B    0x00ae
#define ST_MSTAT6C    0x00af
#define ST_MSTAT6D    0x00b0
#define ST_MSTAT6E    0x00b1
#define ST_MSTAT6F    0x00b2
#define ST_MSTAT6G    0x00b3
#define ST_MSTAT7     0x00b4
#define ST_MSTAT7A    0x00b5
#define ST_MSTAT8     0x00b6
#define ST_MSTAT8A    0x00b7
#define ST_MSTAT8B    0x00b8
#define ST_MSTAT8C    0x00b9
#define ST_MSTAT8D    0x00ba
#define ST_MSTAT8E    0x00bb
#define ST_MSTAT9     0x00bc
#define ST_MSTAT9A    0x00bd
#define ST_MSTATS     0x00be
#define ST_SETS	      0x00bf
#define ST_SETS1      0x00c0
#define ST_SETS2      0x00c1
#define ST_SETS3      0x00c2
#define ST_SETS3A     0x00c3
#define ST_SETS4      0x00c4
#define ST_SETS4A     0x00c5
#define ST_SETS5      0x00c6
#define ST_SETS5A     0x00c7
#define ST_SETS6      0x00c8
#define ST_SETS6A     0x00c9
#define ST_SETS7      0x00ca
#define ST_SETS7A     0x00cb
#define ST_SETS8      0x00cc
#define ST_SETS8A     0x00cd
#define ST_SETS9      0x00ce
#define ST_SETS9A     0x00cf
#define ST_SETS10     0x00d0
#define ST_SETS10A    0x00d1
#define ST_SETS10B    0x00d2
#define ST_SETS11     0x00d3
#define ST_MESH	      0x00d4
#define ST_MESH1      0x00d5
#define ST_PREC	      0x00d6
#define ST_PREC1      0x00d7
#define ST_PREC2      0x00d8
#define ST_PREC3      0x00d9
#define ST_PREC3A     0x00da
#define ST_PREC3B     0x00db
#define ST_PREC3C     0x00dc
#define ST_PREC3D     0x00dd
#define ST_PREC3E     0x00de
#define ST_PREC3F     0x00df
#define ST_PREC4      0x00e0
#define ST_PREC5      0x00e1
#define ST_PREC6      0x00e2
#define ST_PREC7      0x00e3
#define ST_PREC8      0x00e4
#define ST_PREC9      0x00e5
#define ST_BEGIN      0x00e6
#define ST_MPROC      0x00e7
#define ST_PROC	      0x00e8
#define ST_PROG	      0x00e9
#define ST_ERROR      0x00ea
#define ST_START      0x00eb
#define ST_RETURN     0xffff

#endif

