/*-----------------------------------------------------------------------------

 FILE:	   CMDPARSE.H

 PROJECT:  TRIANGULAR GRID GENERATOR

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/19/93    KMK      initial implementation

 DESCRIPTION:

 This module contains functions that parse the command line module.  Arguments
 may be accessed by their position or switch.

-----------------------------------------------------------------------------*/


#ifndef HEADER_CMDPARSE
#define HEADER_CMDPARSE


#if defined(ANSIPROTO)
void	vInitCmdParser		(int, PSTR *);
void	vDestroyCmdParser	(void);
WORD	wNumOfArgs		(void);
WORD	wNumOfSwitchArgs	(void);
WORD	wNumOfPosArgs		(void);
BOOL	fParamExist		(PSTR);
int	nGetSwitchParam		(PSTR, int, int, int);
int	nGetPosParam		(WORD, int, int, int);
WORD	wGetSwitchParam		(PSTR, WORD, WORD, WORD);
WORD	wGetPosParam		(WORD, WORD, WORD, WORD);
long	lGetSwitchParam		(PSTR, long, long, long);
long	lGetPosParam		(WORD, long, long, long);
DWORD	dwGetSwitchParam	(PSTR, DWORD, DWORD, DWORD);
DWORD	dwGetPosParam		(WORD, DWORD, DWORD, DWORD);
double	dGetSwitchParam		(PSTR, double, double, double);
double	dGetPosParam		(WORD, double, double, double);
PSTR	pszGetSwitchParam	(PSTR, PSTR);
PSTR	pszGetPosParam		(WORD, PSTR);
#else
void	vInitCmdParser		();
void	vDestroyCmdParser	();
WORD	wNumOfArgs		();
WORD	wNumOfSwitchArgs	();
WORD	wNumOfPosArgs		();
BOOL	fParamExist		();
int	nGetSwitchParam		();
int	nGetPosParam		();
WORD	wGetSwitchParam		();
WORD	wGetPosParam		();
long	lGetSwitchParam		();
long	lGetPosParam		();
DWORD	dwGetSwitchParam	();
DWORD	dwGetPosParam		();
double	dGetSwitchParam		();
double	dGetPosParam		();
PSTR	pszGetSwitchParam	();
PSTR	pszGetPosParam		();
#endif

#endif

