/*-----------------------------------------------------------------------------

 FILE:	   ERROR.H

 PROJECT:  TRIANGULAR GRID GENERATOR

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/19/93    KMK      initial implementation
 11/02/94    KMK      new user interface

 DESCRIPTION:

 This module implements an error handling routine.  All error messages should
 come through this routine in order to assure uniformity.
-----------------------------------------------------------------------------*/


#ifndef	 HEADER_ERROR
#define	 HEADER_ERROR


/* enumeration of errors */
#define ERROR_OUTOFMEM	    0	    /* out of memory */
#define ERROR_DIVBYZERO	    1	    /* division by zero */	   *
#define ERROR_FILENOTFOUND  2	    /* file not found */
#define ERROR_TRIANGFAIL    3	    /* triangulation failed */
#define ERROR_FILEOPEN	    4	    /* error opening file */
#define ERROR_DIRLEN	    5	    /* directory name too long */
#define ERROR_PROGRAMMER    6	    /* error in program */
#define ERROR_WRITE	    7	    /* file write error */
#define ERROR_CORRUPT	    8	    /* skeleton file corrupt */



/******************************************************************************/
/**************************  PUBLIC FUNCTIONS  ********************************/
/******************************************************************************/

#if defined(ANSIPROTO)
void	  vErrorHandler		(WORD, PSTR, PSTR, BOOL);
void	  vErrorInit		(WORD, PSTR);
FILE *	  fileGetErrorDevice	(void);
#else
void	  vErrorHandler		();
void	  vErrorInit		();
FILE *	  fileGetErrorDevice	();
#endif

#endif

