/*-----------------------------------------------------------------------------

 FILE:	   GRAPHICS.H

 PROJECT:  TRIANGULAR GRID GENERATOR

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/19/93    KMK      initial implementation

 DESCRIPTION:

 This module contains the graphic functions.

-----------------------------------------------------------------------------*/


#ifndef	 HEADER_GRAPHICS
#define	 HEADER_GRAPHICS


#ifndef	 HEADER_SKEL
#include "skel.h"
#endif

#ifndef	 HEADER_MESH
#include "mesh.h"
#endif

typedef void  (*PFREDRAW) ();

#if defined(ANSIPROTO)
int  nCreateWindow  (double, double, double, double, PFREDRAW);
int  nCloseWindow   (void);
int  nPostScript    (PMESH);
int  nGraphPolygon  (PMESH);
int  nDrawTriangle  (PNODE, INODE, INODE, INODE);
int  nDrawRectangle (PNODE, INODE, INODE, INODE, INODE);
int  nPlotPoint	    (PNODE, INODE, BOOL);
int  nFillPoly	    (PNODE, INODE *, WORD);
int  nTriangles	    (PNODE, INODE *, WORD, INODE);
int  nFillTriangle  (PNODE, INODE, INODE, INODE, int);
int  nFillRectangle (PNODE, INODE, INODE, INODE, INODE, int);
int  nQualReport    (WORD, WORD, WORD, WORD, WORD);
#else
int  nCreateWindow  ();
int  nCloseWindow   ();
int  nPostScript    ();
int  nGraphPolygon  ();
int  nDrawTriangle  ();
int  nDrawRectangle ();
int  nPlotPoint	    ();
int  nFillPoly	    ();
int  nTriangles	    ();
int  nFillTriangle  ();
int  nFillRectangle ();
int  nQualReport    ();
#endif


#endif
