/*-----------------------------------------------------------------------------

 FILE:	   LITERALS.H

 PROJECT:  TRIANGULAR GRID GENERATOR

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/19/93    KMK      initial implementation

 DESCRIPTION:

 This module stores all string literals.

-----------------------------------------------------------------------------*/


#ifndef	 HEADER_LITERALS
#define	 HEADER_LITERALS

/* global literals */
#define LIT_PROGERROR	"PROGRAMMER'S ERROR:  contact Kevin M. Kramer\n"

/* literals in the CMDPARSE module */
#define LIT_CMDPARSE	"cmdparse"
#define LIT_CMDPARSE1	"vInitCmdParser"

/* literals in the ENHANCE module */
#define LIT_ENHANCE	"enhance"
#define LIT_ENHANCE1	"nEnhMeshEdge"
#define LIT_ENHANCE2	"nEnhMeshNode"

/* literals in the ERROR module */
#define LIT_ERRORa	"SYSTEM ERROR : %s in module %s, function %s\n"
#define LIT_ERRORb	"SYSTEM ERROR : "
#define LIT_ERRORc	"ERROR : "
#define LIT_ERRORd	"WARNING : "
#define LIT_ERROR0	"out of memory"
#define LIT_ERROR1	"division by zero"
#define LIT_ERROR2	"file %s not found\n"
#define LIT_ERROR3	"all triangulation heuristics failed!\n"
#define LIT_ERROR4	"cannot create or open file %s\n"
#define LIT_ERROR5	"directory name too long '%s'\n"
#define LIT_ERROR6	"there is a bug in this program, contact developers\n"
#define LIT_ERROR7	"file write error\n"
#define LIT_ERROR8	"translated skeleton file is corrupt\n"

/* literals in the GEOMETRY module */
#define LIT_GEOMETRY	"geometry"

/* literals in the MAIN module */
#define LIT_MAIN	"main"
#define LIT_MAIN1	"SG Grid Generator   Version 1.0  (c) 1997  K. Kramer"
#define LIT_MAIN2	"syntax:  sggrid [options] file					    * = default"
#define LIT_MAIN3	"  -h	     display this help screen"
#define LIT_MAIN4	"  -Oxxx     create ASCII output file named xxx"
#define LIT_MAIN5	"  -ee	   * display errors on the standard error device"
#define LIT_MAIN6	"  -eo	     display errors on the standard output device"
#define LIT_MAIN7	"  -t+	   * exhaustive search for best triangulation"
#define LIT_MAIN8	"  -t-	     non-exhaustive search wherever appropriate"
#define LIT_MAIN9	"  -i+	     increase interior spacing"
#define LIT_MAIN10	"  -i-	   * do not increase interior spacing"
#define LIT_MAIN11	"  -c+	   * use centroid triangulation"
#define LIT_MAIN12	"  -c-	     do not use centroid triangulation"
#define LIT_MAIN13	"  -g###     grade (1.5 to 2.5, default = 1.5)"
#define LIT_MAIN14	"  -s###     maximum mesh spacing"
#define LIT_MAIN15	"  -m###     minimum permissible quality (default 0.35)"
#define LIT_MAIN16	"  -qe###    number of edge enhancement iterations (default 2)"
#define LIT_MAIN17	"  -qn###    number of node enhancement iterations (default 2)"
#define LIT_MAIN18	"  -qb###    number of edge followed by node enhancement iterations (default 2)"
#define LIT_MAIN19	"  -vc	     visualize mesh construction"
#define LIT_MAIN20	"  -vr	   * visualize mesh rating"
#define LIT_MAIN21	"  -vn	     no graphics"
#define LIT_MAIN22	"  -r1	     graphics screen resolution 640 x 480"
#define LIT_MAIN23	"  -r2	   * graphics screen resolution 800 x 600"
#define LIT_MAIN24	"  -r3	     graphics screen resolution 1024 x 768"
#define LIT_MAIN25	"  -aspect   keep x and y aspect ratio when plotting"
#define LIT_MAIN26	"  -ps	     generate a postscript file named grid.ps"

/* literals in the MESH module */
#define LIT_MESH	"mesh"
#define LIT_MESHa	"MESH DATA FILE\n\rgenerated by GRID 1.0\n\r\x1A"
#define LIT_MESH1	"pmeshCreate"
#define LIT_MESH2	"inodeAddNode"
#define LIT_MESH3	"iedgeAddEdge"
#define LIT_MESH4	"itriAddTriangle"
#define LIT_MESH5	"ivtxAddVertex"
#define LIT_MESH6	"cPushPolygon"
#define LIT_MESH7	"nWriteMesh"

/* literals in the PARSER module */
#define LIT_PARSER	"parser"
#define LIT_PARSER1	"nInitList"
#define LIT_PARSER2	"nAddWord"

/* literals in the SCANNER module */
#define LIT_SCANNER	"scanner"
#define LIT_SCANNER1	"lex"

/* literals in the SKEL module */
#define LIT_SKEL	"skel"
#define LIT_SKEL1	"pskelCreate"

/* literals in the SKL2MSH module */
#define LIT_SKL2MSH	"skl2msh"
#define LIT_SKL2MSH1	"nSkel2Mesh"
#define LIT_SKL2MSH2	"nAddNewPoints"
#define LIT_SKL2MSH3	"aAssignWeights"

#endif

