/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  mesh.exe
 FILE:	     actions.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/31/94    KMK      initial implementation

 DESCRIPTION:

 This module contains the user action type definitions.

-----------------------------------------------------------------------------*/


#ifndef __actions_h
#define __actions_h

#ifndef __tokens_h
#include "tokens.h"
#endif


#define ACT_	      0x0000
#define ACT_DROP      0x0001
#define ACT_PUSH      0x0002
#define ACT_POP	      0x0003
#define ACT_CALL      0x0004
#define ACT_REM1      0x0005
#define ACT_REM2      0x0006
#define ACT_NEW	      0x0007

#define ACT_EXPR      TOK_EXPR
#define ACT_LEXPR     TOK_LEXPR
#define ACT_AEXPR     TOK_AEXPR
#define ACT_MEXPR     TOK_MEXPR
#define ACT_UEXPR     TOK_UEXPR
#define ACT_EXPRS     TOK_EXPRS
#define ACT_RLIST     TOK_RLIST

#define USR_	      0x0000
#define USR_RCONST    0x0001
#define USR_ICONST    0x0002
#define USR_ID	      0x0003
#define USR_UNARYOP   0x0004
#define USR_BINOP     0x0005
#define USR_MESHOP    0x0006
#define USR_FUNC      0x0007
#define USR_REAL      0x0008
#define USR_PAREN     0x0009
#define USR_EXPRS     0x000a
#define USR_ADDEXPR   0x000b
#define USR_RLIST     0x000c
#define USR_ADDID     0x000d
#define USR_DCOORD    0x000e
#define USR_DCONST    0x000f
#define USR_DPOINT    0x0010
#define USR_LABEL     0x0011
#define USR_NOLABEL   0x0012
#define USR_DEDGE1    0x0013
#define USR_DEDGE2    0x0014
#define USR_DEDGE3    0x0015
#define USR_DEDGE4    0x0016
#define USR_DREG1     0x0017
#define USR_DREG2     0x0018
#define USR_DREG3     0x0019
#define USR_REFINE    0x001a
#define USR_REFDEF    0x001b
#define USR_REFMEAS   0x001c
#define USR_REFDIST   0x001d
#define USR_SET1      0x001e
#define USR_SET2      0x001f
#define USR_INIT      0x0020


#endif
