/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  mesh.exe
 FILE:	     fileio.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 11/01/94    KMK      initial implementation

 DESCRIPTION:

 This module contains the FileInputOutput class.

-----------------------------------------------------------------------------*/


#ifndef __xlatio_h
#define __xlatio_h


#ifndef __xlatinfo_h
#include "xlatinfo.h"
#endif


#define SIGNATURE_SKEL	  "@~!__SKEL__!~@"

#define FILE_SOURCE	  0
#define FILE_SKEL	  1
#define FILE_GRID	  2
#define FILE_REFCODE	  3
#define FILE_REFHEAD	  4

#define EXT_SOURCE	  ".sk"
#define EXT_SKEL	  ".xsk"
#define EXT_GRID	  ".grd"
#define EXT_REFCODE	  ".cpp"
#define EXT_REFHEAD	  ".h"

#define FILEIO_SUCCESS	  0
#define FILEIO_BADFILE	 -1


// FileInputOutput class definition
class FileInputOutput
{ protected:
    int nFile;

  public:
    void FormFileName (char *, UINT, BOOL = FALSE);
    int nWriteRefineCode (char *);
    int nWriteSkeletonFile (char *);

  public:
    FileInputOutput ();
};


#endif



