/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  mesh.exe
 FILE:	     states.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/31/94    KMK      initial implementation

 DESCRIPTION:

 This module contains the state type definitions.

-----------------------------------------------------------------------------*/


#ifndef __states_h
#define __states_h


#define ST_EXPR	      0x0000
#define ST_EXPR1      0x0001
#define ST_EXPR2      0x0002
#define ST_LEXPR      0x0003
#define ST_LEXPR1     0x0004
#define ST_LEXPR2     0x0005
#define ST_AEXPR      0x0006
#define ST_AEXPR1     0x0007
#define ST_AEXPR2     0x0008
#define ST_MEXPR      0x0009
#define ST_MEXPR1     0x000a
#define ST_MEXPR2     0x000b
#define ST_UEXPR      0x000c
#define ST_UEXPR1     0x000d
#define ST_UEXPR1A    0x000e
#define ST_UEXPR1B    0x000f
#define ST_UEXPR1C    0x0010
#define ST_UEXPR2     0x0011
#define ST_UEXPR3     0x0012
#define ST_UEXPR3A    0x0013
#define ST_UEXPR4     0x0014
#define ST_UEXPR4A    0x0015
#define ST_UEXPR5     0x0016
#define ST_UEXPR5A    0x0017
#define ST_UEXPR6     0x0018
#define ST_UEXPR6A    0x0019
#define ST_UEXPR6B    0x001a
#define ST_EXPRS      0x001b
#define ST_EXPRS1     0x001c
#define ST_EXPRS2     0x001d
#define ST_EXPRS3     0x001e
#define ST_COORD      0x001f
#define ST_COORD1     0x0020
#define ST_COORD2     0x0021
#define ST_COORD3     0x0022
#define ST_CDECS      0x0023
#define ST_CDECS1     0x0024
#define ST_CDECS2     0x0025
#define ST_CDECS3     0x0026
#define ST_CDECS4     0x0027
#define ST_PDECS      0x0028
#define ST_PDECS1     0x0029
#define ST_PDECS2     0x002a
#define ST_PDECS3     0x002b
#define ST_PDECS4     0x002c
#define ST_PDECS5     0x002d
#define ST_PDECS6     0x002e
#define ST_PDECS7     0x002f
#define ST_EDECS      0x0030
#define ST_EDECS1     0x0031
#define ST_EDECS2     0x0032
#define ST_EDECS2A    0x0033
#define ST_EDECS3     0x0034
#define ST_EDECS4     0x0035
#define ST_EDECS5     0x0036
#define ST_EDECS6     0x0037
#define ST_EDECS7     0x0038
#define ST_EDECS8     0x0039
#define ST_EDECS9     0x003a
#define ST_EDECS10    0x003b
#define ST_EDECS11    0x003c
#define ST_EDECS12    0x003d
#define ST_EDECS13    0x003e
#define ST_EDECS14    0x003f
#define ST_EDECS15    0x0040
#define ST_EDECS16    0x0041
#define ST_EDECS17    0x0042
#define ST_RLIST      0x0043
#define ST_RLIST1     0x0044
#define ST_RLIST2     0x0045
#define ST_RLIST3     0x0046
#define ST_RDECS      0x0047
#define ST_RDECS1     0x0048
#define ST_RDECS2     0x0049
#define ST_RDECS3     0x004a
#define ST_RDECS4     0x004b
#define ST_RDECS5     0x004c
#define ST_RDECS6     0x004d
#define ST_RDECS7     0x004e
#define ST_RDECS8     0x004f
#define ST_RDECS9     0x0050
#define ST_REFINE     0x0051
#define ST_REFINE1    0x0052
#define ST_REFINE1A   0x0053
#define ST_REFINE1B   0x0054
#define ST_REFINE1C   0x0055
#define ST_REFINE1D   0x0056
#define ST_REFINE1E   0x0057
#define ST_REFINE2    0x0058
#define ST_REFINE3    0x0059
#define ST_SET	      0x005a
#define ST_SETA	      0x005b
#define ST_SETB	      0x005c
#define ST_SETC	      0x005d
#define ST_SETD	      0x005e
#define ST_SET1	      0x005f
#define ST_SET2	      0x0060
#define ST_SET3	      0x0061
#define ST_SET4	      0x0062
#define ST_PROG	      0x0063
#define ST_START      0x0064
#define ST_RETURN     0xffff


#endif
