/*-----------------------------------------------------------------------------

 PROJECT:    SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  mesh.exe
 FILE:	     token.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/31/94    KMK      initial implementation

 DESCRIPTION:

 This module contains the token type definitions.

-----------------------------------------------------------------------------*/


#ifndef __token_h
#define __token_h


#define TOK_EOF		0x0000
#define TOK_ERROR	0x0100
#define TOK_INT		0x0101
#define TOK_NUM		0x0102
#define TOK_STRING	0x0103
#define TOK_ID		0x0104
#define TOK_ARROW	0x0105
#define TOK_RANGE	0x0106
#define TOK_ALL		0x0107
#define TOK_CONST	0x0108
#define TOK_VAR		0x0109
#define TOK_KNOWN	0x000a
#define TOK_UNKNOWN	0x000b
#define TOK_BEGIN	0x010c
#define TOK_END		0x010d
#define TOK_EQU		0x000e
#define TOK_MAIN	0x010f
#define TOK_ASSIGN	0x0110
#define TOK_SOLVE	0x0111
#define TOK_NOT		0x0112
#define TOK_AND		0x0113
#define TOK_OR		0x0114
#define TOK_XOR		0x0115
#define TOK_GE		0x0116
#define TOK_LE		0x0117
#define TOK_EQ		0x0118
#define TOK_NE		0x0119
#define TOK_DO		0x011a
#define TOK_WHILE	0x011b
#define TOK_IF		0x011c
#define TOK_ELSE	0x011d
#define TOK_WRITE	0x011e
#define TOK_SET		0x011f
#define TOK_NEWTON	0x0120
#define TOK_LINSOL	0x0121
#define TOK_ITERS	0x0122
#define TOK_ACC		0x0123
#define TOK_DAMP	0x0124
#define TOK_ALGOR	0x0125
#define TOK_SOR		0x0126
#define TOK_PCG		0x0127
#define TOK_GAUSS	0x0128
#define TOK_SORT	0x0129
#define TOK_NONE	0x012a
#define TOK_FILL	0x012b
#define TOK_INFIN	0x012c
#define TOK_PREC	0x012d
#define TOK_DIAG	0x012e
#define TOK_ILU		0x012f
#define TOK_OVER	0x0130
#define TOK_ZERO	0x0131
#define TOK_YES		0x0132
#define TOK_NO		0x0133
#define TOK_FUNC	0x0134
#define TOK_RETURN	0x0135
#define TOK_OPEN	0x0136
#define TOK_CLOSE	0x0137
#define TOK_FILE	0x0138
#define TOK_READ	0x0139
#define TOK_APPEND	0x013a
#define TOK_GOTO	0x013b
#define TOK_LABEL	0x013c
#define TOK_COMMENT	0x013d
#define TOK_REAL	0x013e
#define TOK_EXIT	0x013f
#define TOK_CALL	0x0140
#define TOK_COORD	0x0141
#define TOK_POINT	0x0142
#define TOK_EDGE	0x0143
#define TOK_REGION	0x0144
#define TOK_REFINE	0x0145
#define TOK_LINEAR	0x0146
#define TOK_LOG		0x0147
#define TOK_SLOG	0x0148
#define TOK_MIN		0x0149
#define TOK_MAX		0x014a
#define TOK_LEN		0x014b
#define TOK_DIV		0x014c
#define TOK_RECT	0x014d

#define TOK_EXPR	0x8000
#define TOK_LEXPR	0x8001
#define TOK_AEXPR	0x8002
#define TOK_MEXPR	0x8003
#define TOK_UEXPR	0x8004
#define TOK_EXPRS	0x8005
#define TOK_RLIST	0x8006

#define DEFAULT		0xffff


#endif

