/*-----------------------------------------------------------------------------

 FILE:     bgraph.h

 PROJECT:

 AUTHOR:   J. Joshua Feng

 REVISION HISTORY
 DATE      INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 08/24/97    JJF      initial implementation

 DESCRIPTION:

 This module contains disguising functions for the Borland BGI functions. 
 Hence this header should be included when compiling under Borland C++ DOS
 mode.

-----------------------------------------------------------------------------*/

#ifndef __bgraph_h
#define __bgraph_h


#define GR_BLACK             0
#define GR_BLUE              1
#define GR_GREEN             2
#define GR_CYAN              3
#define GR_RED               4
#define GR_MAGENTA           5
#define GR_BROWN             6
#define GR_LIGHTGRAY         7
#define GR_DARKGRAY          8
#define GR_LIGHTBLUE         9
#define GR_LIGHTGREEN        10
#define GR_LIGHTCYAN         11
#define GR_LIGHTRED          12
#define GR_LIGHTMAGENTA      13
#define GR_YELLOW            14
#define GR_WHITE             15

#define DETECT            0

#define PS_SOLID          1

#define EXPOSE            0
#define CONFIGURENOTIFY   1
#define KEYPRESS          2
#define BUTTONPRESS       3
#define OTHEREVENT        4
#define BACKSPACE         5
#define ESCAPE            6
#define LEFTARROW         7
#define RIGHTARROW        8
#define UPARROW           9
#define DOWNARROW         10

#define grOk              0
#define grNoInitGraph    -1
#define grNotDetected    -2
#define grFileNotFound   -3
#define grInvalidDriver  -4
#define grNoLoadMem      -5

void     GRPrintOpen  (char *);
void     GRPrintClose (void);
void     GRText       (int, int, char *);    
int      GRSetLUT     (int); 

#define  GRInitGraphics   initgraphics
#define  GRFreeGraphics   closegraph
#define  GRSetColor       setcolor 
#define  GRSetFillStyle   setfillstyle
#define  GRPutPixel       putpixel
#define  GRLine           line
#define  GRCircle         circle
#define  GRDrawPoly       drawpoly
#define  GRFillPoly       fillpoly
#define  GRGetMaxX        getmaxx
#define  GRGetMaxY        getmaxy 
#define  GRGraphResult    graphresult

#endif /* __bgraph_h */
