/*-----------------------------------------------------------------------------

  PROJECT:  SIMULATION GENERATION FRAMEWORK (SIMGEN)

  SUBSYSTEM:  sgxlat.exe mesh.exe
  FILE        bldgrm.cpp
  AUTHOR:     Kevin M. Kramer
              J. Joshua Feng

  REVISION HISTORY
  DATE      INITIALS   DESCRIPTION
  --------  --------   ------------------------------------------------------
  ??/??/??    KMK      initial implementation
  10/19/97    JJF      include the grammar table

  DESCRIPTION:

  This program rebuilds the grammar table. Example usage as follows

    bldgram <grammar.cpp.old >grammar.cpp.new 

-----------------------------------------------------------------------------*/ 

#include <stdio.h>
#include <string.h>

int main ( )
{
  char buffer[128];
  while (fgets(buffer, sizeof(buffer), stdin))
    if (!strcmp(buffer, "FSM afsmTable[] = {\n"))
      break;

  fgets(buffer, sizeof(buffer), stdin);
  fgets(buffer, sizeof(buffer), stdin);
  fgets(buffer, sizeof(buffer), stdin);

  typedef char LABEL[16];
  LABEL state;
  LABEL *syntax = new LABEL[1024];
  unsigned int cIndex = 0;
  unsigned int cState = 0;
  unsigned int cSyntax = 0;
  int fDefault = 1;
  *state = '\0';

  char temp[16];
  char *fsmTab = new char[1024 * 16];
  fsmTab[0] = '\0';

  while (fgets(buffer, sizeof(buffer), stdin))
  { if (!strcmp(buffer, "};\n"))
      break;

    fprintf(stdout, "/* %#06x  %s", cIndex, buffer + 11);

                 strtok(buffer, "/* {\t");
    char *psz1 = strtok(NULL  , "/* {\t");
    char *psz2 = strtok(NULL  , "/* {\t");

    if (strcmp(state, psz1))
    { if (!(cState % 8)) 
      { sprintf(temp, "\n/* %#06x */  ", cState);
        strcat(fsmTab, temp);
      }
      sprintf(temp, "%#06x, ", cIndex);
      strcat(fsmTab, temp);
      if (!fDefault) strcpy(syntax[cSyntax++], state);
      strcpy(state, psz1);
      ++cState;
    }

    //if (strcmp(state, psz1))
    //{ if (cState % 8) fprintf(stdout, ", ");
    //  else            fprintf(stdout, "\n/* %#06x */  ", cState);
    //  fprintf(stdout, "%#06x", cIndex);
    //  if (!fDefault) strcpy(syntax[cSyntax++], state);
    //  strcpy(state, psz1);
    //  ++cState;
    //}

    fDefault = !strcmp(psz2, "DEFAULT");
    ++cIndex;
  }

  fprintf(stdout, "\n\n%s", fsmTab);
  if (!(cState % 8)) fprintf(stdout, "\n/* %#06x */  ", cState);
  fprintf(stdout, "%#06x", cIndex);

  fprintf(stdout, "\n\n");
  for(unsigned int i = 0; i < cSyntax; ++i)
    fprintf(stdout, " { %s,  TOKEXP_ },\n", syntax[i]);

  delete [] fsmTab;
  delete [] syntax;
  return 0;
}
