#include <iostream.h>
#include <stdio.h>
#include <string.h>
#include <dos.h>
#include <dir.h>
#include <fcntl.h>
#include <io.h>
#include <sys/stat.h>


class RDAction
{ protected:
		struct ffblk ffblk;
    char szPathName[512];
    char szFileSpec[512];

  public:
	bool   IsDir ()									{ return (ffblk.ff_attrib == FA_DIREC) && (ffblk.ff_name[0] != '.'); }
	struct ffblk* GetFFStruct ()		{ return &ffblk; }
    char*	  GetPathName ();
    char*	  GetFileSpec ();

	public:
	virtual void DirAction	() = 0;
    virtual void FileAction () = 0;
    virtual RDAction* Clone () = 0;

  public:
	RDAction (char* = NULL);
};


RDAction::RDAction (char* pszDirName)
{
	szPathName[0] = '\0';
  szFileSpec[0] = '\0';
	if (pszDirName)
  {	strcpy(szPathName, pszDirName);
	int c = strlen(szPathName);
    if (c && (szPathName[c-1] != '\\'))
    { szPathName[c]   = '\\';
	szPathName[c+1] = '\0';
    }
  }
}


char* RDAction::GetPathName ()
{
	strcpy(szFileSpec, szPathName);
  strcat(szFileSpec, "*.*");
  return szFileSpec;
}


char* RDAction::GetFileSpec ()
{
	strcpy(szFileSpec, szPathName);
  strcat(szFileSpec, ffblk.ff_name);
  return szFileSpec;
}


class CopyFiles : public RDAction
{ protected:
    char szCopyPathName[512];
    char szCopyFileSpec[512];

	public:
	void MakeInitDirectory	();
	virtual void DirAction	();
    virtual void FileAction ();
    virtual RDAction* Clone ();

	public:
	CopyFiles (char*, char*);
};


CopyFiles::CopyFiles (char* pszSrc, char* pszDst)
	 : RDAction  (	    pszSrc)
{
	szCopyPathName[0] = '\0';
  szCopyFileSpec[0] = '\0';
  strcpy(szCopyPathName, pszDst);
  int c = strlen(szCopyPathName);
  if (szCopyPathName[c-1] != '\\')
  {	szCopyPathName[c]   = '\\';
	szCopyPathName[c+1] = '\0';
  }
}


void CopyFiles::MakeInitDirectory ()
{
	char sz[512];
  sz[0] = '\0';
	strcpy(szCopyFileSpec, szCopyPathName);
  for(char* psz = strtok(szCopyFileSpec, "\\"); psz; psz = strtok(NULL, "\\"))
  {	strcat(sz, psz);
    if (psz != szCopyFileSpec)
	mkdir(sz);
	strcat(sz, "\\");
//    chdir(sz);
  }
}

void CopyFiles::DirAction ()
{
	strcpy(szCopyFileSpec, szCopyPathName);
  strcat(szCopyFileSpec, ffblk.ff_name);
	mkdir(szCopyFileSpec);
  cout << "making directory " << szCopyFileSpec << endl;
}


void CopyFile (const char* pszSrc, const char* pszDst)
{
  cout << "copying file " << pszSrc << endl;

	unsigned char buf[4096];
	int nSrcFile = open(pszSrc, O_RDONLY | O_BINARY, S_IREAD);
  int nDstFile = open(pszDst, O_WRONLY | O_BINARY | O_CREAT | O_TRUNC, S_IWRITE);
  for(;;)
  {	int nReadRC = read(nSrcFile, buf, sizeof(buf));
	if	(nReadRC ==  0) break;
    else if (nReadRC == -1) { break; }
    int nWriteRC = write(nDstFile, buf, nReadRC);
    if (nWriteRC != nReadRC) { break; }
  }
  close(nSrcFile);
  close(nDstFile);
}


void ProcessSF (const char* pszSrc, const char* pszDst)
{
  cout << "processing specification file " << endl;

	char buf[4096];
	FILE* SrcFile = fopen(pszSrc, "rt");
  FILE* DstFile = fopen(pszDst, "wt");

  // process the first line
  { char sz[4096];
    fgets(buf, sizeof(buf), SrcFile);
    strcpy(sz, buf);
    char* psz1 = strstr(sz, "SimGen");
    char* psz2 = strstr(sz, "simgen");
    char* psz3 = strstr(sz, "SIMGEN");
    char* psz;
    if (psz1) psz = psz1;
    if (psz2) psz = psz2;
    if (psz3) psz = psz3;
    if (psz)
    { int i = (int) (psz - sz);
      *psz = '\0';
      strcat(sz, "...");
      strcat(sz, buf+i+6);
      strcpy(buf, sz);
    }
  }
  fputs(buf, DstFile);

  while (fgets(buf, sizeof(buf), SrcFile))
    fputs(buf, DstFile);

  fclose(SrcFile);
  fclose(DstFile);
}


void ProcessBF (const char* pszSrc, const char* pszDst)
{
//  cout << "processing batch file " << pszSrc << " to " << pszDst << endl;
//  return;

	char buf[4096];
	FILE* SrcFile = fopen(pszSrc, "rt");
  FILE* DstFile = fopen(pszDst, "wt");

  while (fgets(buf, sizeof(buf), SrcFile))
  { if (!strncmp(buf, "simgen", 6))
    { char sz[4096];
      strcpy(sz, "sgxlat");
      strcat(sz, buf+6);
      strcpy(buf, sz);
    }
    fputs(buf, DstFile);
  }

  fclose(SrcFile);
  fclose(DstFile);
}


void CopyFiles::FileAction ()
{
	strcpy(szCopyFileSpec, szCopyPathName);
  strcat(szCopyFileSpec, ffblk.ff_name);

  char* psz = strrchr(ffblk.ff_name, '.');
  if (psz && (!strncmpi(psz, ".sk", 3) || !strncmpi(psz, ".sg", 3)))
    ProcessSF(GetFileSpec(), szCopyFileSpec);
  else if (psz && !strncmpi(psz, ".bat", 4))
    ProcessBF(GetFileSpec(), szCopyFileSpec);
  else
    CopyFile(GetFileSpec(), szCopyFileSpec);

}


RDAction* CopyFiles::Clone ()
{
	strcpy(szCopyFileSpec, szCopyPathName);
  strcat(szCopyFileSpec, ffblk.ff_name);
	return new CopyFiles(GetFileSpec(), szCopyFileSpec);
}


void RecurseDirectories (RDAction* prda)
{
  for(int done = findfirst(prda->GetPathName(), prda->GetFFStruct(), FA_DIREC);
		!done;
      done = findnext(prda->GetFFStruct()))
  { if (prda->IsDir())
	{	prda->DirAction();
	RDAction* prdaT = prda->Clone();
      RecurseDirectories(prdaT);
      delete prdaT;
    }
  }

  for(int done = findfirst(prda->GetPathName(), prda->GetFFStruct(), 0);
		!done;
      done = findnext(prda->GetFFStruct()))
	prda->FileAction();
}



int main ()
{
  CopyFiles cf("D:\\sgdir\\sgcd\\sgdir", "C:\\sgdir");
  RecurseDirectories(&cf);
  return 0;
}
