/*-----------------------------------------------------------------------------

 PROJECT:    SIMULATION GENERATION FRAMEWORK (SIMGEN)

 SUBSYSTEM:  mesh.exe
 FILE:	     stack.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 11/02/94    KMK      initial implementation

 DESCRIPTION:

 This module implements a dynamic stack ... structure may be placed on the
 stack but class cannot.  Pointers to classes, however, is allowed.

-----------------------------------------------------------------------------*/



///////////////////////////////////////////////////////////////////////////////
// Function:	 Stack::Stack
// Scope:	 Constructor
template <class Type>
Stack<Type>::Stack (UINT n)
{
  i = 0;
  stack = new Type[c = u = n];
}


///////////////////////////////////////////////////////////////////////////////
// Function:	 Stack::~Stack
// Scope:	 Destructor
template <class Type>
Stack<Type>::~Stack ()
{
  delete [] stack;
}


///////////////////////////////////////////////////////////////////////////////
// Function:	 Stack::grow
// Scope:	 Private
// Description:	 This function increases the stack size.
template <class Type>
void Stack<Type>::grow ()
{
  c+= u;
  stack = (Type *) realloc(stack, c * sizeof(Type));
}


