/*-----------------------------------------------------------------------------

 PROJECT:    SIMULATION GENERATION FRAMEWORK (SIMGEN)

 SUBSYSTEM:  mesh.exe
 FILE:	     stack.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 11/02/94    KMK      initial implementation

 DESCRIPTION:

 This module implements a dynamic stack ... structure may be placed on the
 stack but class cannot.  Pointers to classes, however, is allowed.

-----------------------------------------------------------------------------*/


#ifndef __stack_h
#define __stack_h


template <class Type> class Stack
{ private:
    UINT u;				// increment
    UINT c;				// stack size
    UINT i;				// stack index
    Type *stack;			// stack
    void grow ();			// reallocate a larger stack

  public:
    inline void push  (Type T)	{ if (i == c) grow(); stack[i++] = T; }
    inline Type pop   ()	{ return stack[--i]; }
    inline BOOL empty ()	{ return !i; }
    inline void flush ()	{ i = 0; }

  public:
     Stack (UINT = 64);			// constructor
    ~Stack ();				// destructor
};


#endif
