/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SIMGEN)

 SUBSYSTEM:  SimGen Command Line Translator
 FILE:       cmdparse.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE      INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/19/94    KMK      initial implementation

 DESCRIPTION:

 This module contains the command line parsing class.

-----------------------------------------------------------------------------*/


#ifndef __cmdparse_h
#define __cmdparse_h


class CmdParse
{ protected:
    UINT cSwitch;                       // number of switch arguments
    UINT cPos;                          // number of position arguments
    char **apszSwitch;                  // switch argument pointer array
    char **apszPos;                     // position argument pointer array

  public:
    inline UINT GetNumOfArgs       ()   { return cSwitch + cPos; }
    inline UINT GetNumOfSwitchArgs ()   { return cSwitch; }
    inline UINT GetNumOfPosArgs    ()   { return cPos; }
    BOOL fArgExist (char *);
    int  nGetSwitchArg (char *, int, int, int);
    int  nGetPosArg (UINT, int, int, int);
    REAL rGetSwitchArg (char *, REAL, REAL, REAL);
    REAL rGetPosArg (UINT, REAL, REAL, REAL);
    char *pszGetSwitchArg (char *, char *);
    char *pszGetPosArg (UINT, char *);

  public:
    CmdParse (UINT, char **);
   ~CmdParse ();
};


#endif
