/*-----------------------------------------------------------------------------

 FILE:	   WGRAPH.H

 PROJECT:

 REVISION HISTORY
 DATE	   INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 04/15/97    KMK      initial implementation

 DESCRIPTION:

 This module contains the graphics functions.

-----------------------------------------------------------------------------*/


#ifndef __wgraph_h
#define __wgraph_h


#define GR_BLACK	0
#define GR_BLUE		1
#define GR_GREEN	2
#define GR_CYAN		3
#define GR_RED		4
#define GR_MAGENTA	5
#define GR_BROWN	6
#define GR_LIGHTGRAY	7
#define GR_DARKGRAY	8
#define GR_LIGHTBLUE	9
#define GR_LIGHTGREEN	10
#define GR_LIGHTCYAN	11
#define GR_LIGHTRED	12
#define GR_LIGHTMAGENTA 13
#define GR_YELLOW	14
#define GR_WHITE	15


typedef void (*PFREDRAW) ();		  /* pfredraw */

void GRPrintOpen      (void *);
void GRPrintClose     (void);
void GRInitGraphics   (void);
void GRFreeGraphics   (void);
void GROpenGraphWin   (char *, char *, int, int, int, int, PFREDRAW);
void GRSetColor	      (int);
void GRSetFillColor   (int);
void GRPutPixel	      (int, int, int);
void GRLine	      (int, int, int, int);
void GRCircle	      (int, int, int);
void GRDrawPoly	      (int, int *);
void GRFillPoly	      (int, int *);
void GRText	      (int, int, char *);


#endif
