/*-----------------------------------------------------------------------------

 PROJECT:  SIMULATION GENERATION FRAMEWORK (SGFramework)

 SUBSYSTEM:  SGFramework Command Line Translator
 FILE:       global.h
 AUTHOR:     Kevin M. Kramer

 REVISION HISTORY
 DATE     INITIALS   DESCRIPTION
 --------  --------   --------------------------------------------------------
 10/20/94    KMK      initial implementation

 DESCRIPTION:

 This module contains type definitions and constants used by all of the
 SGLAT modules.

-----------------------------------------------------------------------------*/


#ifndef __global_h
#define __global_h


///////////////////////////////////////////////////////////////////////////////
////////////////////////////  TYPE DEFINITIONS  ///////////////////////////////
///////////////////////////////////////////////////////////////////////////////


// boolean constants
#define TRUE      1
#define FALSE     0


// global constants
/*
#define MAX_VARIABLES      8191
#define MAX_DENSITY        32767
#define DAUINT_INCSIZE     8192
#define LEN_IDENT          15
#define LEN_FILENAME       128
#define GLOBAL_BUFSIZE     512
#define NO_REGION_LABEL   -2


// file modes
#define IOMODE_NONE      0
#define IOMODE_READ      1
#define IOMODE_WRITE     2
#define IOMODE_APPEND    3


// local variable present flags
#define LVAR_VAR    0x0001
#define LVAR_DER    0x0002
*/

// global type definitions
typedef int              BOOL;                               // f
typedef unsigned int     UINT;                               // u
typedef unsigned char    UCHAR;                              // uch
typedef int              I3ARRAY[3];                         // i3a
typedef void *           PVOID;                              // pv
typedef double           REAL;                               // r
typedef double *         PREAL;                              // pr
typedef void *           PRF;                                // prf
typedef double           (*PRF1)(double);                    // prf1
typedef double           (*PRF2)(double, double);            // prf2
typedef double           (*PRF3)(double, double, double);    // prf3


// global buffer definition
extern char* pszGlobalBuf;
extern char* pszMeshFileName;
extern UINT **aauNeighbors;
extern UINT cNode;
extern UINT cEdge;
extern UINT cAdjInfo;
extern UINT cRegLabel;
extern UINT cBndryNode;


// command line parser
typedef struct tagCMDARGS    // cmdargs
{ UINT cPrecision;           // output precision for real numbers
  BOOL fNoCoupling;          // no coupling
} CMDARGS;
extern CMDARGS cmdargs;


#if defined(NODYNCAST)
#define TYPESAFE_DOWNCAST(object,toClass) ((toClass *) (object))
#else
#define TYPESAFE_DOWNCAST(object,toClass) dynamic_cast<toClass *>(object)
#endif


#if defined(UNIX)
char *strlwr(char *);
char *strupr(char *);
double pow10(double);
int stricmp(char *, char *);
#define O_BINARY 0x0000
#endif


#endif

