#!/bin/sh

# display logo and set environment variable
echo "SG Build Script     Version 1.0  (c) 1997  K. Kramer"
SGF=/usr/local/SGFramework
CRULES="g++ -mcpu=i686 -O6 -DGNU -DANSIPROTO -DUNIX -DNODYNCAST -DNFUNC -w -DCON"
MATHLIB="-lm"
XDIR=/usr/X11R6/lib

# display help information
if [ $# -eq 0 ]
then
  echo "USAGE: sgbuild ref filename"
  echo "       sgbuild sim filename"
  echo "       sgbuild con filename"
  echo " "
  echo "DESCRIPTION:"
  echo "sgbuild ref filename compiles and links the mesh refinement program"
  echo "sgbuild sim filename compiles and links the simulation program"
  echo "sgbuild con filename condor compiles and links the simulation program" 
  echo " "
  echo "REMARK:"
  echo "filename is the mesh refinement program or simulation program file"
  echo "name without the .cpp extension." 
  exit
fi

if [ $1 = ref ]
then
# echo "compiling and linking the mesh refinement program"
  $CRULES -o $2 $2.cpp $SGF/cmdparse.o $SGF/mathfunc.o $SGF/refine.o $SGF/xgraph.o $MATHLIB -L$XDIR -lX11 

elif [ $1 = sim ]        
then
# echo "compiling and linking the simulation program"
  $CRULES -I$SGF -o $2 $2.cpp $SGF/sgnam.o $MATHLIB

elif [ $1 = con ]
then
# echo "compiling and linking the simulation program"
  condor_compile $CRULES -I$SGF -o $2 $2.cpp $SGF/sgnam.o $MATHLIB
  unset noclobber
  echo "Executable = $2.condor" >$2.cmd
  echo "Environment = CONDOR_CORESIZE=0" >>$2.cmd
  echo "Output = $2.out" >>$2.cmd
  echo "queue" >>$2.cmd

else
  echo "USAGE: sgbuild ref filename"
  echo "       sgbuild sim filename"
  echo "       sgbuild con filename"
  echo " "
  echo "type \"sgbuild\" w/o quotes and press the enter key for more information"
fi
exit
